Name:       shflags
Version:    1.0.3
Release:    %mkrel 9
Summary:    Simple handling of command-line flags in Bourne based Unix scripts

Group:      Development/Other
License:    LGPLv2
URL:        http://code.google.com/p/shflags/
Source0:    http://shflags.googlecode.com/files/shflags-1.0.3.tgz

BuildArch:  noarch

Requires:       util-linux

%description
Shell Flags (shFlags) is a library written to greatly simplify the handling of
command-line flags in Bourne based Unix shell scripts (bash, dash, ksh, sh,
zsh) on many Unix OSes (Linux, Solaris, Mac OS X, etc.).

Most shell scripts use getopt for flags processing, but the different versions
of getopt on various OSes make writing portable shell scripts difficult.
shFlags instead provides an API that doesn't change across shell and OS
versions so the script writer can be confident that the script will work.

shFlags is a port of the google-gflags C++/Python library.

%prep
%setup -q

# Make the examples non-executable.. we're putting them in /usr/share.
chmod -x examples/*.sh

%build
# This section is mostly empty because this package ccontains shell scripts
# to be sourced: there's nothing to build
rm -f doc/LGPL-2.1 doc/LICENSE.shunit2

%check
pushd src
sh shflags_test_defines.sh
sh shflags_test_parsing.sh
sh shflags_test_public.sh
sh shflags_test_private.sh
sh shflags_test.sh
popd

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -p src/shflags %{buildroot}/%{_datadir}/%{name}/.

%files
%doc README.txt README.html doc/ examples/
%{_datadir}/%{name}



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 1.0.3-9.mga6
+ Revision: 940691
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-8.mga5
+ Revision: 746383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-7.mga5
+ Revision: 689137
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 1.0.3-6.mga5
+ Revision: 580609
- Remove the licensing files - rpmlint did not like them
- Importing, based on the Fedora package


* Thu Jan 09 2014 Shlomi Fish <shlomif@cpan.org> - 1.0.3-6.mga4
- Adapted for Mageia

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 17 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-4
- Updated the license field to LGPLv2 after receiving feedback from upstream.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 06 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-2
- Updated the license field to LGPLv2+
- Removed BuildRequires util-linux.  Superfluous!
- Ownership taken for %%{_datadir}/%%{name}
- Copying with '-p' to preserve
- Made examples non-exectuable.
- Added %%check section.

* Mon Jun 25 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-1
- Initial packaging for Fedora.
